commit:     5d8c705083e938856e3dd61581a85ff5984b831b
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 21:20:09 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 23:50:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d8c7050

dev-libs/appstream: add 0.15.6

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/appstream/Manifest                        |  1 +
 dev-libs/appstream/appstream-0.15.6.ebuild         | 77 ++++++++++++++++++++++
 .../appstream-0.15.6-disable-Werror-flags.patch    | 46 +++++++++++++
 3 files changed, 124 insertions(+)

diff --git a/dev-libs/appstream/Manifest b/dev-libs/appstream/Manifest
index 45aeb8a5f590..c4334da85342 100644
--- a/dev-libs/appstream/Manifest
+++ b/dev-libs/appstream/Manifest
@@ -1 +1,2 @@
 DIST AppStream-0.15.5.tar.xz 2499336 BLAKE2B 
a0710d1ef2756480fa814c8b740d066e1b06dffe6a3396a44697876372dc9d0f39088ff141817af549d0cf0ad99221e68305344dfdeb82e246f7cda18c3b63a7
 SHA512 
83202a8db9a31e4328b2a831b02e65389aad1ba95a4c2b2709084fb843cb3675af6fac73f932a31bb3a6d3ff5db85a863c01528be67d9bbd3b9614a978239771
+DIST AppStream-0.15.6.tar.xz 2517688 BLAKE2B 
09519205c7dfc5f0715b9d5ae7e99a67673ab499f1e2cb39815edde64defc1aa5059215575278bbcfc4482cd385a79e081c70f6acea3c446c5869dc6b2e18f6c
 SHA512 
7426bc89e22b751de7b3e27d7c07eb1c373f4439f9966868ce5ea410d209b8c5292e03695a34b7a49bfa61e2e62265c7f7cdffc0be871c950193c933f65757ef

diff --git a/dev-libs/appstream/appstream-0.15.6.ebuild 
b/dev-libs/appstream/appstream-0.15.6.ebuild
new file mode 100644
index 000000000000..cede13a5c9e7
--- /dev/null
+++ b/dev-libs/appstream/appstream-0.15.6.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson xdg-utils
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ximion/${PN}";
+else
+       MY_PN="AppStream"
+       
SRC_URI="https://www.freedesktop.org/software/appstream/releases/${MY_PN}-${PV}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+       S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+DESCRIPTION="Cross-distro effort for providing metadata for software in the 
Linux ecosystem"
+HOMEPAGE="https://www.freedesktop.org/wiki/Distributions/AppStream/";
+
+LICENSE="LGPL-2.1+ GPL-2+"
+# check as_api_level
+SLOT="0/4"
+IUSE="apt doc +introspection qt5 test"
+RESTRICT="test" # bug 691962
+
+RDEPEND="
+       >=dev-libs/glib-2.62:2
+       dev-libs/libxml2:2
+       >=dev-libs/libxmlb-0.3.6:=
+       dev-libs/libyaml
+       dev-libs/snowball-stemmer:=
+       >=net-misc/curl-7.62
+       introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+       qt5? ( dev-qt/qtcore:5 )
+"
+DEPEND="${RDEPEND}
+       test? ( qt5? ( dev-qt/qttest:5 ) )
+"
+BDEPEND="
+       dev-libs/appstream-glib
+       dev-libs/libxslt
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       doc? ( app-text/docbook-xml-dtd:4.5 )
+       test? ( dev-qt/linguist-tools:5 )
+"
+
+PATCHES=( "${FILESDIR}"/${P}-disable-Werror-flags.patch ) # bug 733774
+
+src_prepare() {
+       default
+       sed -e "/^as_doc_target_dir/s/appstream/${PF}/" -i docs/meson.build || 
die
+       if ! use test; then
+               sed -e "/^subdir.*tests/s/^/#DONT /" -i {,qt/}meson.build || 
die # bug 675944
+       fi
+}
+
+src_configure() {
+       xdg_environment_reset
+
+       local emesonargs=(
+               -Dapidocs=false
+               -Ddocs=false
+               -Dcompose=false
+               -Dmaintainer=false
+               -Dstatic-analysis=false
+               -Dstemming=true
+               -Dvapi=false
+               -Dapt-support=$(usex apt true false)
+               -Dinstall-docs=$(usex doc true false)
+               -Dgir=$(usex introspection true false)
+               -Dqt=$(usex qt5 true false)
+       )
+
+       meson_src_configure
+}

diff --git 
a/dev-libs/appstream/files/appstream-0.15.6-disable-Werror-flags.patch 
b/dev-libs/appstream/files/appstream-0.15.6-disable-Werror-flags.patch
new file mode 100644
index 000000000000..ca50493e4fd6
--- /dev/null
+++ b/dev-libs/appstream/files/appstream-0.15.6-disable-Werror-flags.patch
@@ -0,0 +1,46 @@
+--- a/meson.build      2022-12-22 23:48:12.000000000 +0100
++++ b/meson.build      2022-12-24 22:15:49.620891586 +0100
+@@ -95,43 +95,6 @@
+   endif
+ endif
+ 
+-# a few compiler warning flags we always want enabled
+-add_project_arguments(
+-  cc.get_supported_arguments([
+-    '-Werror=shadow',
+-    '-Werror=empty-body',
+-    '-Werror=strict-prototypes',
+-    '-Werror=missing-prototypes',
+-    '-Werror=implicit-function-declaration',
+-    '-Werror=pointer-arith',
+-    '-Werror=missing-declarations',
+-    '-Werror=return-type',
+-    '-Werror=int-conversion',
+-    '-Werror=incompatible-pointer-types',
+-    '-Werror=misleading-indentation',
+-    '-Werror=missing-include-dirs',
+-    '-Werror=declaration-after-statement',
+-    '-Werror=format-security',
+-
+-    '-Wno-missing-field-initializers',
+-    '-Wno-error=missing-field-initializers',
+-    '-Wno-unused-parameter',
+-    '-Wno-error=unused-parameter',
+-  ]),
+-  language: 'c'
+-)
+-add_project_arguments(
+-  '-Wno-unused-parameter',
+-  '-Werror=shadow',
+-  '-Werror=empty-body',
+-  '-Werror=pointer-arith',
+-  '-Werror=init-self',
+-  '-Werror=missing-declarations',
+-  '-Werror=return-type',
+-  '-Werror=misleading-indentation',
+-  '-Werror=format-security',
+-  language: 'cpp'
+-)
+ add_project_arguments('-DAS_COMPILATION', language: 'c')
+ 
+ # Vendor extensions in system headers

Reply via email to